Name:           sngrep
Version:        1.4.10
Release:        1%{?dist}
Summary:        Network SIP monitor tool
License:        GPLv3
URL:            https://github.com/irontec/sngrep
Source0:        https://github.com/irontec/sngrep/archive/%{name}-%{version}.tar.gz
Source1:        https://github.com/irontec/sngrep/archive/%{name}-%{version}.tar.gz.md5sum
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libpcap-devel
BuildRequires:  pcre-devel
BuildRequires:  ncurses-devel
BuildRequires:  openssl-devel
BuildRequires:  pcre-devel
BuildRequires:  ngrep
Requires:       ngrep
Requires:       openssl


%description
This 'tool' aims to make easier the task of my workmates while using ngrep on
heavy load production systems. When a lot of SIP messages are flowing in your
screen, it's useful to have a tool that order them and print in a fashion way.
This can be also used as a PCAP file viewer, although will only show SIP
packages.


%prep
%setup -q


%build
autoreconf -i
%configure --enable-unicode --with-openssl --with-pcre --enable-ipv6 --enable-eep
make %{?_smp_mflags} CFLAGS="%{optflags}" STRIPFLAG=


%install
mkdir -p %{buildroot}%{_sbindir}
cp -a src/sngrep %{buildroot}%{_sbindir}/


%files
%doc AUTHORS COPYING ChangeLog LICENSE NEWS README TODO
%{_sbindir}/sngrep


%changelog
* Mon Nov 22 2021 Ernani Azevedo <azevedo@voipdomain.io> - 1.4.10-1
- Updated to release 1.4.10

* Thu May 20 2021 Ernani Azevedo <azevedo@voipdomain.io> - 1.4.9-1
- Updated to release 1.4.9

* Tue Nov 10 2020 Ernani Azevedo <azevedo@voipdomain.io> - 1.4.8-1
- Updated to release 1.4.8

* Tue Nov 10 2020 Ernani Azevedo <azevedo@voipdomain.io> - 1.4.7-1
- Updated to release 1.4.7

* Wed Oct 31 2018 Ernani Azevedo <azevedo@voipdomain.io> - 1.4.6-1
- Updated to release 1.4.6

* Sat Jun  9 2018 Ernani Azevedo <azevedo@voipdomain.io> - 1.4.4-1
- Updated to release 1.4.5

* Sat Jun  9 2018 Ernani Azevedo <azevedo@voipdomain.io> - 1.4.4-1
- Updated to release 1.4.4

* Wed Apr 26 2017 Ernani Azevedo <azevedo@voipdomain.io> - 1.4.3-1
- Updated to release 1.4.3

* Wed Dec 21 2016 Ernani Azevedo <azevedo@voipdomain.io> - 1.4.2-1
- Updated to release 1.4.2

* Mon Oct 31 2016 Ernani Azevedo <azevedo@voipdomain.io> - 1.4.1-1
- Updated to release 1.4.1

* Mon Oct 31 2016 Ernani Azevedo <azevedo@voipdomain.io> - 1.4.0-1
- Updated to release 1.4.0

* Mon Oct 31 2016 Ernani Azevedo <azevedo@voipdomain.io> - 1.3.1-1
- Updated to release 1.3.1

* Mon Oct 31 2016 Ernani Azevedo <azevedo@voipdomain.io> - 1.3.0-1
- Updated to release 1.3.0

* Mon Dec 21 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.2.0-1
- Updated to release 1.2.0

* Wed Nov 18 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.1.0-1
- Updated to release 1.1.0
- Enabled EEP/HEP support

* Wed Nov 18 2015 Ernani Azevedo <azevedo@voipdomain.io> - 1.0.0-1
- Updated to release 1.0.0

* Wed Nov 18 2015 Ernani Azevedo <azevedo@voipdomain.io> - 0.4.2-1
- Updated to release 0.4.2
- Enabled IPv6 support

* Tue Aug  4 2015 Ernani Azevedo <azevedo@voipdomain.io> - 0.4.1-1
- Updated to release 0.4.1

* Tue Jun 30 2015 Ernani Azevedo <azevedo@voipdomain.io> - 0.4.0-1
- Updated to release 0.4.0

* Tue Jun 30 2015 Ernani Azevedo <azevedo@voipdomain.io> - 0.3.2-1
- Updated to release 0.3.2

* Wed May 13 2015 Ernani Azevedo <azevedo@voipdomain.io> - 0.3.1-1
- Updated to release 0.3.1

* Thu Mar 26 2015 Ernani Azevedo <azevedo@voipdomain.io> - 0.3.0-1
- Updated to release 0.3.0

* Mon Jun 16 2014 Ernani Azevedo <azevedo@voipdomain.io> - 0.0-1.gite6baf40
- Initial build
